Package: org.gradle.api.plugins.sonar.model

## [Groovy] Class SonarServer

- org.gradle.api.plugins.sonar.model.SonarServer

- Configuration options for the Sonar web server. Defaults match the defaults for a locally running server.

  deprecated:
    The 'sonar' plugin has been superseded by the official plugin from SonarQube, please see: http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `url` The URL for the Sonar web server.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### @SonarProperty("sonar.host.url") String url

      The URL for the Sonar web server. Defaults to `http://localhost:9000`.